Ga Terug  
     


Notities

Installatie, Upgrade en Backup (2.5) Plaats hier je vragen over de installatie, upgrade en/of backup van Joomla! 2.5 Ook vragen over het verhuizen van je Joomla! site kun je hier plaatsen

Antwoord
 
Onderwerpopties Weergavemodus
Oud 22 september 2015, 15:32   #1
Gertve
 
Geregistreerd op: 24 juli 2014
Locatie: Duitsland
Berichten: 31
Bedankjes gegeven: 0
Bedankjes ontvangen: 0
Standaard Upgrade Joomla_2.5.x_to_2.5.28-Stable-Patch_Package loopt vast

Hallo

wanneer ik op een kleine website die nog geupgrade moet worden het component Joomla upgrade activeer dan:
krijg ik een draaiend wacht-wieltje en geen voortgang te zien in het balkje.

wanneer ik het probeer via extensie beheer : installeren met pakket
Joomla_2.5.x_to_2.5.28-Stable-Patch_Package.zip
dan gaat de upload goed maar breekt het installeren af met de foutboodschap op scherm:
Er is een fout opgetreden bij het uploaden van dit bestand naar de server.
En in de logfile:
PHP Notice: Trying to get property of non-object in [ MyWebsite ] /public_html/libraries/joomla/updater/adapters/extension.php on line 210

De site gebruikt php 5.3.29
Updaten van extensies en het maken van een (akeeba) backup is zojuist wel gelukt.

Wie weet raad? Alvast bedankt.
Gertve is offline   Met citaat antwoorden
Oud 22 september 2015, 17:28   #2
adje
 
adje's Avatar
 
Geregistreerd op: 30 september 2008
Locatie: Capelle aan den IJssel
Berichten: 6.273
Bedankjes gegeven: 196
Bedankjes ontvangen: 1.040
Standaard Re: Upgrade Joomla_2.5.x_to_2.5.28-Stable-Patch_Package loopt vast

Misschien toch nog wat extensies die niet aan de 2.5.28 voorwaarden voldoen.
Template? Even terug naar de core template?
Zet je akeeba backup even lokaal (met xampp, wamp, mamp enz.) en ga daar wat mee experimenteren
Ad
adje is offline   Met citaat antwoorden
Oud 23 september 2015, 11:08   #3
Gertve
 
Geregistreerd op: 24 juli 2014
Locatie: Duitsland
Berichten: 31
Bedankjes gegeven: 0
Bedankjes ontvangen: 0
Standaard Re: Upgrade Joomla_2.5.x_to_2.5.28-Stable-Patch_Package loopt vast

Bedankt Adje, maar de extensies en het template zijn up to date en op meerdere sites tot en met 2.5.28 door mij gebruikt. Terug naar core template ook geprobeerd en helpt ook niet.

Ik ben niet gewend om mijn pc te belasten met (xampp, wamp, mamp enz.) een ontwikkelomgeving. Ik werk altijd binnen de omgeving van mijn provider.

Wat kan je dan nog meer experimenteren. Joomla Update werkt of werkt niet.
Maar misschien heb je een experiment in gedachten waar ik niet opgekomen ben.
Gertve is offline   Met citaat antwoorden
Oud 23 september 2015, 12:01   #4
adje
 
adje's Avatar
 
Geregistreerd op: 30 september 2008
Locatie: Capelle aan den IJssel
Berichten: 6.273
Bedankjes gegeven: 196
Bedankjes ontvangen: 1.040
Standaard Re: Upgrade Joomla_2.5.x_to_2.5.28-Stable-Patch_Package loopt vast

Je kunt ook experimenteren op de server door een backup (akeeba/kickstart met nieuwe database) in een subdomein of testmap te plaatsen.
Je hebt dan wat meer vrijheden om de patch op een andere manier uit te voeren bijv. via je tmp map of een complete 2.5.28 (zonder installatie bestanden) er 'overheen te gooien',
Zijn alle bestanden en mappen schrijfbaar (groen) ?
Ad
adje is offline   Met citaat antwoorden
Oud 30 september 2015, 09:32   #5
hvdmeer
Moderatorteam
Gebruikersgroep Arnhem & Nijmegen
 
hvdmeer's Avatar
 
Geregistreerd op: 21 februari 2009
Locatie: Arnhem
Berichten: 3.161
Bedankjes gegeven: 108
Bedankjes ontvangen: 432
Standaard Re: Upgrade Joomla_2.5.x_to_2.5.28-Stable-Patch_Package loopt vast

Is het inmiddels gelukt Gertve?

J! doc-vertaler, J! patch tester, JUG-organisator, moderator
Eigen site: http://www.hierbenikthuis.nl en van mijn loopgroep: http://www.loopgroep-arnhemia.nl
Beetje over mij: http://hierbenikthuis.nl/prive/over-mij
Reageert op DM alleen op zaken die niet op het forum geplaatst kunnen worden.
hvdmeer is offline Stuur een bericht via Skype™ naar hvdmeer   Met citaat antwoorden
Oud 30 september 2015, 10:17   #6
Gertve
 
Geregistreerd op: 24 juli 2014
Locatie: Duitsland
Berichten: 31
Bedankjes gegeven: 0
Bedankjes ontvangen: 0
Standaard Re: Upgrade Joomla_2.5.x_to_2.5.28-Stable-Patch_Package loopt vast

Nee niet gelukt. Net zo als met diverse J2.5.28 naar J3.4.4 upgrades.
Ik begin na jaren van enthousiasme stevig te balen van Joomla!
Ik heb nu een nieuwe werk methode voor upgrades van J2.5.28 naar J3.4.4 die perfect werkt en veel minder tijd kost dan het zoeken van de naald in de hooiberg.
Die ga ik eind van de week ook toepassen op deze site. Meteen naar J3.4.4 upgraden, want daar was het uiteindelijk om te doen.
Gertve is offline   Met citaat antwoorden
Oud 30 september 2015, 10:29   #7
hvdmeer
Moderatorteam
Gebruikersgroep Arnhem & Nijmegen
 
hvdmeer's Avatar
 
Geregistreerd op: 21 februari 2009
Locatie: Arnhem
Berichten: 3.161
Bedankjes gegeven: 108
Bedankjes ontvangen: 432
Standaard Re: Upgrade Joomla_2.5.x_to_2.5.28-Stable-Patch_Package loopt vast

Jammer dat het zo moeilijk gaat, over het algemeen is het toch een redelijk probleemloze upgrade (de core, als je templates en extensies niet meetelt).

J! doc-vertaler, J! patch tester, JUG-organisator, moderator
Eigen site: http://www.hierbenikthuis.nl en van mijn loopgroep: http://www.loopgroep-arnhemia.nl
Beetje over mij: http://hierbenikthuis.nl/prive/over-mij
Reageert op DM alleen op zaken die niet op het forum geplaatst kunnen worden.
hvdmeer is offline Stuur een bericht via Skype™ naar hvdmeer   Met citaat antwoorden
Oud 30 september 2015, 10:56   #8
Gertve
 
Geregistreerd op: 24 juli 2014
Locatie: Duitsland
Berichten: 31
Bedankjes gegeven: 0
Bedankjes ontvangen: 0
Standaard Re: Upgrade Joomla_2.5.x_to_2.5.28-Stable-Patch_Package loopt vast

Dat ben ik niet met je eens. Zelfs als ik alle templates en extensies die ik toegevoegd heb eruit gooi dan werkt die zgn. 1-click upgrade nog steeds niet.
Check even op internet hoeveel problemen er zijn.
Het is mij alleen gelukt om een vers geďnstalleerde Joomla met demo data met de 1-click te upgraden.
Gertve is offline   Met citaat antwoorden
Oud 30 september 2015, 11:30   #9
Rondeb
 
Rondeb's Avatar
 
Geregistreerd op: 5 januari 2013
Locatie: Meschede (DE)
Leeftijd: 40
Berichten: 2.368
Bedankjes gegeven: 77
Bedankjes ontvangen: 376
Standaard Re: Upgrade Joomla_2.5.x_to_2.5.28-Stable-Patch_Package loopt vast

Hallo,

Upgraden van 2.5.x naar 2.5.28 heeft bij bij mij nog nooit problemen gegeven.

ik ondervindt nog wel problemen met sites die in het verleden zijn geüpgraded van 1.5 naar 2.5 met SPupgrade en de andere migratie tools.

Lijkt net of deze tools code achter laten in database waar door je niet normaal kan upgrade naar joomla 3.

Wat is trouwens dan die nieuwe werkmethode?

Groeten Ron
Rondeb is offline   Met citaat antwoorden
Oud 30 september 2015, 16:40   #10
Gertve
 
Geregistreerd op: 24 juli 2014
Locatie: Duitsland
Berichten: 31
Bedankjes gegeven: 0
Bedankjes ontvangen: 0
Standaard Re: Upgrade Joomla_2.5.x_to_2.5.28-Stable-Patch_Package loopt vast

Rondeb, die verdenking richting SPupgrade heb ik ook gehad. De maker ervan ontkent ten stelligste dat SPupgrade iets achterlaat.
Wel heb ik geconstateerd dat in mijn geval er 3 foute entries in een assets table zaten ten gevolge van het gebruik van SPupgrade (aantoonbaar). Het spupgrade tool had ik voor 1-click conversie (andere site) gedeinstalleerd maar dat had toch geen succes.

De site waar ik hier aan werkte heeft nooit op 1.5 gedraaid en is direct ontworpen met J!2.5. En ook ik heb nog nooit een upgrade van 2.5.x naar 2.5.28 met problemen gehad. Maar die stap ga ik nu overslaan en doe onderstaande:

Ik heb nu al drie keer een site geconverteerd van J!2.5.28 naar J!3.4.4 met behulp van SPtransfer. De eerste is mislukt door een combi van mijn onbegrip en ontoereikende documentatie. (Dat heeft de maker mij ook al toegegeven zonder te vertellen wanneer hij die bijwerkt.) Nu heb ik een Procedure / Checklist gemaakt van stappen en instellingen om je site van 2 naar 3 te converteren. Werkt prima!

Groet gert
Gertve is offline   Met citaat antwoorden
Antwoord

Onderwerpopties
Weergavemodus

Berichting Regels
Je mag niet nieuwe onderwerpen maken
Je mag niet reageren op berichten
Je mag niet bijlagen posten
Je mag niet je berichten bewerken

BB code is Aan
Smilies zijn Aan
[IMG] code is Aan
HTML code is Uit

Forumnavigatie


Alle tijden zijn GMT +1. De tijd is nu 05:21.